commit:     6eec61998a5548c266dbe496be1473314b9d8e76
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 26 07:02:48 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Nov 26 07:03:20 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6eec6199

net-mail/fdm: drop broken pop3 patch

The pop3 patch was a backport from upstream master but it appears broken.

Drop it straight-to-stable.

Bug: https://github.com/nicm/fdm/issues/140
Closes: https://bugs.gentoo.org/944888
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-mail/fdm/fdm-2.2-r3.ebuild | 56 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 56 insertions(+)

diff --git a/net-mail/fdm/fdm-2.2-r3.ebuild b/net-mail/fdm/fdm-2.2-r3.ebuild
new file mode 100644
index 000000000000..404b0182e72b
--- /dev/null
+++ b/net-mail/fdm/fdm-2.2-r3.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Fetch, filter and deliver mail"
+HOMEPAGE="https://github.com/nicm/fdm";
+SRC_URI="https://github.com/nicm/fdm/releases/download/${PV}/${P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 ~arm64 x86"
+IUSE="examples pcre"
+
+DEPEND="
+       dev-libs/openssl:=
+       sys-libs/tdb
+       pcre? ( dev-libs/libpcre2 )
+"
+RDEPEND="
+       ${DEPEND}
+       acct-group/fdm
+       acct-user/fdm
+"
+
+DOCS=( CHANGES README TODO MANUAL )
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.2-configure-strlcpy.patch
+       "${FILESDIR}"/${P}-pcre2.patch
+       "${FILESDIR}"/${P}-uaf.patch
+)
+
+src_prepare() {
+       default
+
+       # Change user '_fdm' to 'fdm'
+       sed -e 's/_fdm/fdm/g' -i fdm.h || die
+
+       eautoreconf
+}
+
+src_configure() {
+       econf $(use_enable pcre pcre2)
+}
+
+src_install() {
+       default
+
+       if use examples ; then
+               docinto examples
+               dodoc examples/*
+       fi
+}

Reply via email to